%if 0%{?rhel} >= 6
%global debug_package %{nil}
%endif

%define eclipse_base        %{_libdir}/eclipse
%define install_loc         %{_datadir}/eclipse/dropins

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.1.2
Release: 1%{?dist} 
License: EPL
URL: http://www.eclipse.org/dsdp/tm/

# Following tarball generated by running fetch-rse.sh.
Source0: rse-fetched-src-R3_1_2.tar.gz
Source1: fetch-rse.sh
# Following property files are generated by fetch-rse.sh.
Source2: featureVersions.properties
Source3: pluginVersions.properties

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    java-devel >= 1.5.0

ExclusiveArch: i686 x86_64

BuildRequires: eclipse-pde >= 1:3.4.1
BuildRequires: eclipse-emf >= 0:2.4.1
BuildRequires: jakarta-commons-net >= 0:1.4.1-5.4
Requires: eclipse-platform >= 1:3.4.0
Requires: eclipse-emf >= 0:2.4.1
Requires: jakarta-commons-net >= 0:2.0

Group: Development/Tools

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%prep
%setup -q -c

%build

rm -rf orbitdeps
mkdir orbitdeps
pushd orbitdeps
ln -s %{_javadir}/commons-net-2.0.jar org.apache.commons.net_2.0.jar
popd

mkdir -p build

pushd build
cp %{SOURCE2} .
cp %{SOURCE3} .
popd

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.tm.terminal -d "emf" \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.rse.sdk \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/rse

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.tm.terminal.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.sdk.zip

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
rm org.apache.commons.net_2.0.0*.jar
ln -s %{_javadir}/commons-net-2.0.jar org.apache.commons.net_2.0.jar
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}/rse
%doc org.eclipse.rse.sdk-feature/epl-v10.html
%doc org.eclipse.rse.sdk-feature/license.html

%changelog
* Fri Dec 10 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 6.0.x

* Fri Mar 19 2010 Jeff Johnston <jjohnstn@redhat.com> 3.1.2-1
- Resolves: #566766
- Rebase to 3.1.2 (Galileo SR2 version)
- Remove oro requirement as it is not needed.

* Fri Feb 12 2010 Andrew Overholt <overholt@redhat.com> 3.1.1-2.2
- Don't build debuginfo if building arch-specific packages.

* Tue Dec  1 2009 Dennis Gregorovic <dgregor@redhat.com> - 3.1.1-2.1
- Only build on x86 and x86_64 since we only have eclipse on those arches

* Tue Oct 27 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-2
- Update plugin and feature version property files.

* Tue Oct 20 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-1
- Move to 3.1.1 tarball.

* Fri Aug 21 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1-2
- Add BuildArch noarch.

* Mon Aug 17 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1-1
- Move to 3.1 tarball.

* Wed Jul 29 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-4
- Resolves #514630

* Tue Jul 28 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-3
- Restrict arch support to those supported by prereq CDT.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-1
- Initial release.

